aldex2 problem with R?

Dear all,

I am excited about the plugin aldex2, however, I am experiencing the next error. Could anybody help me?

(qiime2-2019.7) mbp-de-isabel:~ Isa$ qiime aldex2 aldex2 --i-table /Users/Isa/Downloads/archivos/sleeve-table-final.qza --m-metadata-file /Users/Isa/Downloads/archivos/sleeve_map_final.txt --m-metadata-column Treatment --output-dir /Users/Isa/Downloads/archivos/aldex2 --verbose
Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_aldex2.R /var/folders/4m/y_fd8knd03sgjw5llgpmv7pc0000gn/T/tmp4lq44rvj/input.tsv.biom /var/folders/4m/y_fd8knd03sgjw5llgpmv7pc0000gn/T/tmp4lq44rvj/input.map.txt Treatment 128 t all /var/folders/4m/y_fd8knd03sgjw5llgpmv7pc0000gn/T/tmp4lq44rvj/output.summary.txt

R version 3.5.1 (2018-07-02)
Error in library(ALDEx2) : there is no package called ‘ALDEx2’
Ejecución interrumpida
Traceback (most recent call last):
File “/Users/Isa/miniconda2/envs/qiime2-2019.7/lib/python3.6/site-packages/q2_aldex2/_method.py”, line 59, in aldex2
run_commands([cmd])
File “/Users/Isa/miniconda2/envs/qiime2-2019.7/lib/python3.6/site-packages/q2_aldex2/_method.py”, line 21, in run_commands
subprocess.run(cmd, check=True)
File “/Users/Isa/miniconda2/envs/qiime2-2019.7/lib/python3.6/subprocess.py”, line 418, in run
output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command ‘[‘run_aldex2.R’, ‘/var/folders/4m/y_fd8knd03sgjw5llgpmv7pc0000gn/T/tmp4lq44rvj/input.tsv.biom’, ‘/var/folders/4m/y_fd8knd03sgjw5llgpmv7pc0000gn/T/tmp4lq44rvj/input.map.txt’, ‘Treatment’, ‘128’, ‘t’, ‘all’, ‘/var/folders/4m/y_fd8knd03sgjw5llgpmv7pc0000gn/T/tmp4lq44rvj/output.summary.txt’]’ returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/Users/Isa/miniconda2/envs/qiime2-2019.7/lib/python3.6/site-packages/q2cli/commands.py”, line 327, in call
results = action(**arguments)
File “</Users/Isa/miniconda2/envs/qiime2-2019.7/lib/python3.6/site-packages/decorator.py:decorator-gen-485>”, line 2, in aldex2
File “/Users/Isa/miniconda2/envs/qiime2-2019.7/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 240, in bound_callable
output_types, provenance)
File “/Users/Isa/miniconda2/envs/qiime2-2019.7/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 383, in callable_executor
output_views = self._callable(**view_args)
File “/Users/Isa/miniconda2/envs/qiime2-2019.7/lib/python3.6/site-packages/q2_aldex2/_method.py”, line 63, in aldex2
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running ALDEx2 in R (return code 1), please inspect stdout and stderr to learn more.

Plugin error from aldex2:

An error was encountered while running ALDEx2 in R (return code 1), please inspect stdout and stderr to learn more.

See above for debug info.

thanks in advance,

Isabel

Hi @Imindias,
Looks like aldex2 is not installed properly. My guess is that you installed q2-aldex2 but did not install aldex2 in R? Please see the installation guide here:
https://library.qiime2.org/plugins/q2-aldex2/24/

Specifically you may have missed these lines or failed to successfully install:

install.packages("BiocManager")
BiocManager::install("ALDEx2")

cc: @dgiguer

2 Likes

Thanks @Nicholas_Bokulich, yes this error should be resolved once you install the ALDEx2 package!

Cheers,

Dan

2 Likes

Dear @dgiguer and @Nicholas_Bokulich,
thanks for your support. Yes, it was a problem with the installation with R. For others, what worked for me is your instructions in gitHub

with this, no problems. Well, my data that are not so good :sweat_smile:

best,

Isabel

2 Likes

Hello, Dan!
I installed ALDEx2 package:
Usage: qiime aldex2 [OPTIONS] COMMAND [ARGS]…

Description: Analysis Of Differential Abundance Taking Sample Variation
Into Account

Plugin website: https://github.com/ggloor/q2-aldex2

Getting user support: Please post to the QIIME 2 forum for help with this
plugin: https://forum.qiime2.org

Options:
–version Show the version and exit.
–citations Show citations and exit.
–help Show this message and exit.

Commands:
aldex2 Analysis Of Differential Abundance
effect-plot Effect plots
extract-differences Extract differentially expressed features

But after: qiime aldex2 aldex2 \

--i-table table.qza \
--m-metadata-file metadata1.tsv \
--m-metadata-column supplement \
--output-dir gut-test

Plugin error from aldex2:
An error was encountered while running ALDEx2 in R (return code 1), please inspect stdout and stderr to learn more.
Debug info has been saved to /tmp/qiime2-q2cli-err-w3dep_fc.log

Please, help to solve!

Maria.

Hi…I would like to double check whether the the quasi-likelihood method, (glmQLFit and glmQLFTest), are correct to use when looking for genes which expression is affected by a selected polymorphism? I have a SNP of interest and run the glmQLFit which gave me nice logical results. However, the bioinformatician I talked to told me edgeR is not an appropriate tool for this sort of analysis

I have the exact same problem, has this been solved?